package be.iminds.ilabt.jfed.restapi.dropwizard;

import ch.qos.logback.classic.spi.ILoggingEvent;
import ch.qos.logback.core.Appender;
import ch.qos.logback.core.AppenderBase;
import ch.qos.logback.core.Context;
import ch.qos.logback.core.LogbackException;
import ch.qos.logback.core.filter.Filter;
import ch.qos.logback.core.spi.FilterReply;
import ch.qos.logback.core.status.Status;

import java.util.Collection;
import java.util.List;
import java.util.concurrent.BlockingQueue;
import java.util.concurrent.LinkedBlockingDeque;

/**
 * jFedLoggingAppender
 */
public class JFedLoggingAppender extends AppenderBase<ILoggingEvent> {

    private static final int MAX_LOGGING_ENTRIES = 1_000;
    private final BlockingQueue<ILoggingEvent> log = new LinkedBlockingDeque<>(MAX_LOGGING_ENTRIES);

    public JFedLoggingAppender() {
    }


    @Override
    protected void append(ILoggingEvent iLoggingEvent) {
        log.offer(iLoggingEvent);
    }

    public void drainTo(Collection<ILoggingEvent> collection) {
        log.drainTo(collection);
    }
}
